Bug 182755 - [maintainer-update] games/ioquake3 and related
[maintainer-update] games/ioquake3 and related
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: William Grzybowski
Depends on:
  Show dependency treegraph
Reported: 2013-10-06 17:50 UTC by kamikaze
Modified: 2013-10-14 13:20 UTC (History)
0 users

See Also:

file.diff (353 bytes, patch)
2013-10-06 17:50 UTC, kamikaze
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2013-10-06 17:50:00 UTC
The removal of gcc from the head default install has revealed a bug in the build process the C-compiler defaults to gcc instead of ${CC}.

Fix: The attached patch was tested on stable/9 with /usr/bin/gcc removed.

Patch attached with submission follows:
Comment 1 William Grzybowski freebsd_committer 2013-10-07 12:11:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 William Grzybowski freebsd_committer 2013-10-14 13:13:05 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter freebsd_committer 2013-10-14 13:13:09 UTC
Author: wg
Date: Mon Oct 14 12:13:00 2013
New Revision: 330312
URL: http://svnweb.freebsd.org/changeset/ports/330312

  games/ioquake3: respect CC
  - Respect CC
  PR:		ports/182755
  Submitted by:	Dominic Fandrey <kamikaze@bsdforen.de> (maintainer)


Modified: head/games/ioquake3/Makefile
--- head/games/ioquake3/Makefile	Mon Oct 14 12:11:22 2013	(r330311)
+++ head/games/ioquake3/Makefile	Mon Oct 14 12:13:00 2013	(r330312)
@@ -57,6 +57,7 @@ MAKE_ARGS+=	DEFAULT_BASEDIR="${Q3DIR}" \
 		ARCH="${IOQ3ARCH}" \
+		TOOLS_CC="${CC}" \
 ALL_TARGET=	release
svn-ports-all@freebsd.org mailing list
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"